## a52dec a52dec — Decodes ATSC A/52 encoded audio streams |

## Properties

gboolean | drc | Read / Write
gboolean | lfe | Read / Write
GstA52DecMode | mode | Read / Write

## Types and Values

struct | GstA52Dec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstA52Dec

## Description

## Synopsis

### Element Information

plugin | a52dec
author | David I. Lehn <dlehn@users.sourceforge.net>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-ac3
| audio/ac3
| audio/x-private1-ac3

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string)interleaved, rate=(int)[ 4000, 96000 ], channels=(int)[ 1, 6 ]

## Functions

## Types and Values

### struct GstA52Dec

    struct GstA52Dec;

## Property Details

### The `“drc”` property

      “drc”                      gboolean

Use Dynamic Range Compression.

Flags: Read / Write

Default value: FALSE

### The `“lfe”` property

      “lfe”                      gboolean

LFE.

Flags: Read / Write

Default value: TRUE

### The `“mode”` property

      “mode”                     GstA52DecMode

Decoding Mode (default 3f2r).

Flags: Read / Write

Default value: 3 Front, 2 Rear